#
# spec file for package python-nosehtmloutput
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-nosehtmloutput
Version:        0.0.5
Release:        10.1
Summary:        Nose plugin to produce test results in html
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/cboylan/nose-html-output
Source:         http://pypi.python.org/packages/source/n/nosehtmloutput/nosehtmloutput-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
Requires:       python-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A plugin for nosetests that will write out test results to results.html. The
code is adapted from the example html output plugin at
https://github.com/nose-devs/nose/blob/master/examples/html_plugin/htmlplug.py
and the pyunit Html test runner at
http://tungwaiyip.info/software/HTMLTestRunner.html.

%prep
%setup -q -n nosehtmloutput-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/*

%changelog
* Tue Aug 13 2013 dmueller@suse.com
- update to 0.0.5:
  * move to openstack-infra
* Thu Nov  8 2012 saschpe@suse.de
- Initial version
